dpkg-scansources(1)

NAMN
dpkg-scansources - skapar indexfilerna Sources

SYNOPS
dpkg-scansources [flaggor] binärkatalog [överstyrningsfil [sökvägsprefix]] > Sources

BESKRIVNING
dpkg-scansources söker genom den givna binärkatalogen efter .dsc-filer. De används för att skapa ett Debiankällkodsindex, vilket skrivs på standard ut.

Överstyrningsfilen, om den anges, används för att ställa in prioriteter i de skapade indexposterna, samt för att ersätta fält de paketansvariga ger i .dsc-filerna. Se dpkg-scanpackages(1) för en beskrivning av formatet för denna fil. Obs! Eftersom överstyrningsfilen indexerar per binärpaket, inte källkodspaket, uppstår det ett problem här. Nuvarande implementation använder den högsta prioriteten av samtliga binärpaket som skapas av en .dsc-fil som prioritet för källkodspaketet, och överstyrningsposten för det första binärpaket som listas i .dsc-filen för att ersätta information från paketansvariga. Detta kan komma att ändras.

sökvägsprefix läggs, om den anges, till i början av katalogfältet i det skapade källkodsindexet. Du använder det normalt till att göra så att katalogfälten innehåller sökvägen från toppen av Debianarkivhierarkin.

Observera: Om du vill läsa den skapade Sources-filen med apt(8) måste du antagligen komprimera filen med gzip(1) (vilket skapar filen Sources.gz). apt ignorerar okomprimerade Sources-filer, förutom vid lokal åtkomst (dvs. file://-källor).

FLAGGOR

-n, --no-sort
    Sortera inte indexposterna. De sorteras normalt efter namn på källkodspaketet.

-s, --source-override fil
    Använd fil som överstyrningsfil för källkoden. Standardnamnet är namnet på den överstyrningsfil du angav, med tillägget .src.

    Källkodsöverstyrningsfilen har ett annat format än binäröverstyrningsfilen. Den innehåller endast två fält avdelade med blanktecken, där det första är namnet på källkodspaketet och det andra är sektionen. Tomma rader och kommentarer ignoreras på vanligt sätt. Om ett paket specificeras i båda filerna kommer källkodsöverstyrningsfilen först för att välja sektion.

--debug
    Slå på felsökning.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

SE ÄVEN
deb-override(5), dpkg-scanpackages(1).

FÖRFATTARE
Roderick Schertler <roderick@argon.org>

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.